unit IdStream;

interface

uses
  Classes;

type
  TIdStream = class(TStream)
  // IMPORTANT!!!!!!!!
  // NO data members may exist in this class
  // This class is used to "hackcast" a TStream to add functionality
  public
    function ReadLn: string;
    procedure Write(const AData: string); reintroduce;
    procedure WriteLn(const AData: string = '');
  end;

implementation

uses
  IdGlobal, IdTCPStream,
  SysUtils;

{ TIdStream }

function TIdStream.ReadLn: string;
var
  LChar: Char;
begin
  // is does not work here - compiler error
  if InheritsFrom(TIdTCPStream) then begin
    Result := TIdTCPStream(Self).Connection.ReadLn;
  end else begin
    //TODO: optimize this function - its really slow. Buffer it.
    Result := '';
    LChar := #0;
    while (Position < Size) and (LChar <> LF) do begin
      ReadBuffer(LChar, SizeOf(LChar));
      if not (LChar in [LF, CR]) then begin
        Result := Result + LChar;
      end;
    end;
  end;
end;

procedure TIdStream.Write(const AData: string);
begin
  if Length(AData) > 0 then begin
    WriteBuffer(AData[1], Length(AData));
  end;
end;

procedure TIdStream.WriteLn(const AData: string = '');
begin
  Write(AData + EOL);
end;

end.
